version: "3.8"

services:
  library_front:
    build:
      context: ../
      dockerfile: ./library/services/front/Dockerfile
    restart: unless-stopped
    ports:
      - "80:80"
    volumes:
      - ./services/front/nginx.conf:/etc/nginx/nginx.conf
      - ./services/front/sites-available:/etc/nginx/sites-available
      - ./services/front/logs/front:/var/log/nginx/front
      - ../services/front:/var/www/html/front
    env_file:
      - services/common.env
      - services/front/.env
    depends_on:
      - library_api
    networks:
      - external_api
      - library

  library_api:
    build:
      context: ../
      dockerfile: ./library/services/api/Dockerfile
    restart: unless-stopped
    ports:
      - "8080:8080"
    volumes:
      - ../services/api:/api
    env_file:
      - services/common.env
      - services/api/.env
    depends_on:
      - library_cockroach
    networks:
      - library
      - external_api

  library_cockroach:
    image: cockroachdb/cockroach:v21.1.9
    command: start-single-node --insecure
    ports:
      - "26257:26257"
    env_file:
      - ./services/cockroach/.env
    volumes:
      - ./services/cockroach/data:/cockroach/cockroach-data
    networks:
      - library
      - external_api

  library_cockroach_init:
    build:
      context: ../
      dockerfile: ./library/services/cockroach/init/Dockerfile
    depends_on:
      - library_cockroach
    networks:
      - library

networks:
  external_api:
    external: true
  library:
    driver: bridge
